Subject: Re: RFH: is the current file available to a custom merge driver?

From: Jonathan Nieder <[email-masked]>
Date: Tue, 31 Aug 2010 13:57:08 -0500

Hi Eric,

Eric Raible wrote:

> In writing a custom merge driver to support $dayjob
> requirements I've failed to find a simple way of getting
> the current file name that the driver is supposed to
> be merging.
> 
> I of course have the "ancestor", "ours", and "theirs"
> temporary files, but for Ui purposes I'd like to know
> the filename as well.

It's not available.  You can try modifying ll-merge.c to
expose it if you have an idea about how that should work.